Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIStatus

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAjaxStatus
                  org.richfaces.component.UIStatus

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.0.Final"})
    public class UIStatus

extends AbstractAjaxStatus
implements javax.faces.component.behavior.ClientBehaviorHolder

The <a4j:status> component displays the status of current Ajax requests. The status can be either in progress, complete, or an error is shown after a failed request.

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIStatus.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIStatus()`

Method Summary
`String` | `getDefaultEventName()`
`String` | `getErrorStyle()` The css style attribute for the error text
`String` | `getErrorStyleClass()` The css class attribute used to style the error text
`String` | `getErrorText()` The text shown when an error has occurred
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getName()` The name of the status component
`String` | `getOnerror()` The client-side script method to be called when the request results in an error
`String` | `getOnstart()` The client-side script method to be called when the request starts
`String` | `getOnstop()` The client-side script method to be called when the request stops
`String` | `getOnsuccess()` The client-side script method to be called when the request completes successfully
`String` | `getStartStyle()` The css style attribute for the start text
`String` | `getStartStyleClass()` The css class attribute used to style the start text
`String` | `getStartText()` The text shown after the request has been started and is currently in progress
`String` | `getStopStyle()` The css style attribute for the stop text
`String` | `getStopStyleClass()` The css class attribute used to style the stop text
`String` | `getStopText()` The text shown once the request is complete
`void` | `setErrorStyle(String errorStyle)`
`void` | `setErrorStyleClass(String errorStyleClass)`
`void` | `setErrorText(String errorText)`
`void` | `setName(String name)`
`void` | `setOnerror(String onerror)`
`void` | `setOnstart(String onstart)`
`void` | `setOnstop(String onstop)`
`void` | `setOnsuccess(String onsuccess)`
`void` | `setStartStyle(String startStyle)`
`void` | `setStartStyleClass(String startStyleClass)`
`void` | `setStartText(String startText)`
`void` | `setStopStyle(String stopStyle)`
`void` | `setStopStyleClass(String stopStyleClass)`
`void` | `setStopText(String stopText)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIStatus

    public UIStatus()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getErrorStyle

    public String getErrorStyle()

  Description copied from class: `AbstractAjaxStatus`
  The css style attribute for the error text

  Specified by:
    `getErrorStyle` in class `AbstractAjaxStatus`

### setErrorStyle

    public void setErrorStyle(String errorStyle)

### getErrorStyleClass

    public String getErrorStyleClass()

  Description copied from class: `AbstractAjaxStatus`
  The css class attribute used to style the error text

  Specified by:
    `getErrorStyleClass` in class `AbstractAjaxStatus`

### setErrorStyleClass

    public void setErrorStyleClass(String errorStyleClass)

### getErrorText

    public String getErrorText()

  Description copied from class: `AbstractAjaxStatus`
  The text shown when an error has occurred

  Specified by:
    `getErrorText` in class `AbstractAjaxStatus`

### setErrorText

    public void setErrorText(String errorText)

### getName

    public String getName()

  Description copied from class: `AbstractAjaxStatus`
  The name of the status component

  Specified by:
    `getName` in class `AbstractAjaxStatus`

### setName

    public void setName(String name)

### getOnerror

    public String getOnerror()

  Description copied from class: `AbstractAjaxStatus`
  The client-side script method to be called when the request results in an error

  Specified by:
    `getOnerror` in class `AbstractAjaxStatus`

### setOnerror

    public void setOnerror(String onerror)

### getOnstart

    public String getOnstart()

  Description copied from class: `AbstractAjaxStatus`
  The client-side script method to be called when the request starts

  Specified by:
    `getOnstart` in class `AbstractAjaxStatus`

### setOnstart

    public void setOnstart(String onstart)

### getOnstop

    public String getOnstop()

  Description copied from class: `AbstractAjaxStatus`
  The client-side script method to be called when the request stops

  Specified by:
    `getOnstop` in class `AbstractAjaxStatus`

### setOnstop

    public void setOnstop(String onstop)

### getOnsuccess

    public String getOnsuccess()

  Description copied from class: `AbstractAjaxStatus`
  The client-side script method to be called when the request completes successfully

  Specified by:
    `getOnsuccess` in class `AbstractAjaxStatus`

### setOnsuccess

    public void setOnsuccess(String onsuccess)

### getStartStyle

    public String getStartStyle()

  Description copied from class: `AbstractAjaxStatus`
  The css style attribute for the start text

  Specified by:
    `getStartStyle` in class `AbstractAjaxStatus`

### setStartStyle

    public void setStartStyle(String startStyle)

### getStartStyleClass

    public String getStartStyleClass()

  Description copied from class: `AbstractAjaxStatus`
  The css class attribute used to style the start text

  Specified by:
    `getStartStyleClass` in class `AbstractAjaxStatus`

### setStartStyleClass

    public void setStartStyleClass(String startStyleClass)

### getStartText

    public String getStartText()

  Description copied from class: `AbstractAjaxStatus`
  The text shown after the request has been started and is currently in progress

  Specified by:
    `getStartText` in class `AbstractAjaxStatus`

### setStartText

    public void setStartText(String startText)

### getStopStyle

    public String getStopStyle()

  Description copied from class: `AbstractAjaxStatus`
  The css style attribute for the stop text

  Specified by:
    `getStopStyle` in class `AbstractAjaxStatus`

### setStopStyle

    public void setStopStyle(String stopStyle)

### getStopStyleClass

    public String getStopStyleClass()

  Description copied from class: `AbstractAjaxStatus`
  The css class attribute used to style the stop text

  Specified by:
    `getStopStyleClass` in class `AbstractAjaxStatus`

### setStopStyleClass

    public void setStopStyleClass(String stopStyleClass)

### getStopText

    public String getStopText()

  Description copied from class: `AbstractAjaxStatus`
  The text shown once the request is complete

  Specified by:
    `getStopText` in class `AbstractAjaxStatus`

### setStopText

    public void setStopText(String stopText)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.